Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004821TestLinkBug Tracking Systems Integrationpublic2011-11-24 13:192012-09-01 19:59
Reporterxav 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Fixed in Version1.9.4 (2012 Q3 - bug fixing) 
Summary0004821: Bugzilla integration via XMLRPC
DescriptionBugzilla integration needs a user account on bugzilla database, and this user "must be able to access that server remotely" (cf. http://gitorious.org/testlink-ga/testlink-code/blobs/master/cfg/bugzilla.cfg.php [^]).

That's an issue in organizations where TestLink and Bugzilla are physically separated and where Bugzilla database is not accessible remotely, for security issues.

A solution would be to access Bugzilla datas through its Web Services API : http://www.bugzilla.org/docs/4.0/en/html/api/Bugzilla/WebService.html [^]
All the needed informations seem to be accessible through the Bug.get Web Service:
http://www.bugzilla.org/docs/4.0/en/html/api/Bugzilla/WebService/Bug.html#get [^]
TagsWaiting for Contribution
Database (MySQL,Postgres,etc)Postgres
Browser
PHP Version
TestCaseID
QA Team - Task Workflow Status
Attached Files

- Relationships

-  Notes
(0016072)
Julian (reporter)
2011-11-24 13:59

Your contribution is welcome.
We do not plan to change current behaviour.
(0016208)
fman (administrator)
2012-01-08 19:06

We will be able to found time to give a try:
1.9.x
http://gitorious.org/testlink-ga/testlink-code/commit/e45f6c5f110dd5bc0852631f2851c8b6f0531d9e [^]

it would be great if user can find time to do some tests.
(0016213)
xav (reporter)
2012-01-10 12:35

Thanks fman, that works fine!
I successfully tested integration with Bugzilla 4.0:
- "Access to Bug Tracking System (Bugzillaxmlrpc)"
- "Add bug" with a "Bugzillaxmlrpc Bug id"

However, I'm not sure that BUG_TRACK_USERNAME and BUG_TRACK_PASSWORD are useful:
integration is read-only today, and even if write permissions were needed, it would be risky to enter bugs with the same bugzilla account for all testers.
So I think it's better that tester has to login first in Bugzilla with his own username.
Possibly these two parameters could be optional (they are mandatory at the moment).

Cheers,
Xavier
(0017357)
fman (administrator)
2012-09-01 19:59

1.9.4 released

- Issue History
Date Modified Username Field Change
2011-11-24 13:19 xav New Issue
2011-11-24 13:59 Julian Tag Attached: Waiting for Contribution
2011-11-24 13:59 Julian Note Added: 0016072
2011-12-10 16:11 fman Status new => resolved
2011-12-10 16:11 fman Resolution open => won't fix
2011-12-10 16:11 fman Assigned To => fman
2012-01-08 18:56 fman Summary Bugzilla integration without database access => Bugzilla integration via XMLRPC
2012-01-08 19:06 fman Note Added: 0016208
2012-01-08 19:06 fman Status resolved => feedback
2012-01-10 12:35 xav Note Added: 0016213
2012-01-10 12:35 xav Status feedback => assigned
2012-01-10 19:52 fman Status assigned => resolved
2012-01-10 19:52 fman Fixed in Version => 1.9.4 (2012 Q3 - bug fixing)
2012-01-10 19:52 fman Resolution won't fix => fixed
2012-09-01 19:59 fman Note Added: 0017357
2012-09-01 19:59 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker